---

### **贡献指南**  

感谢您对 **mcp2tcp** 项目的关注和支持！我们非常欢迎您的参与。以下是本项目的贡献指南，旨在帮助您快速上手并与我们合作。  

#### **项目设计理念**  
mcp2tcp 的核心目标是实现 **“用户零代码”** 的体验。通过简单的 **配置文件**，用户可以：  
- 定义提示词与TCP命令的对应关系；  
- 实现自然语言与设备的对话。  

我们致力于让每一位用户都能通过配置文件快速上手，无需编写复杂代码。  

---

#### **如何贡献**  

1. **Fork 本项目**  
   - 点击 GitHub 仓库右上角的 **Fork** 按钮，将项目复制到您的账户中。  

2. **克隆到本地**  
   ```bash
   git clone https://github.com/您的用户名/mcp2tcp.git
   cd mcp2tcp
   ```  

3. **创建新分支**  
   为您的修改创建一个独立分支，命名应简洁明了：  
   ```bash
   git checkout -b feature/功能名称
   ```  

4. **实现功能或修复问题**  
   - 请确保遵循项目的设计理念，即以 **配置文件驱动功能** 为核心。  
   - 修改完成后，进行本地测试，确保功能正常。  

5. **提交修改**  
   - 将代码提交到您的分支：  
     ```bash
     git add .
     git commit -m "描述此次修改的内容"
     git push origin feature/功能名称
     ```  

6. **发起 Pull Request**  
   - 进入您 Fork 的项目页面，点击 **New Pull Request** 按钮。  
   - 请在描述中详细说明修改内容及原因。  

---

#### **贡献建议**  

- **代码规范**：请确保您的代码清晰、注释完善。  
- **测试覆盖**：为您的功能编写相应测试用例。  
- **文档更新**：如果修改会影响使用，请同步更新文档。  

---

#### **审核流程**  
提交后，我们会进行以下审核：  
1. **代码质量**：符合项目设计理念和代码规范；  
2. **功能测试**：新功能是否符合预期，是否影响现有功能；  
3. **文档检查**：文档是否完整清晰。  

审核通过后，我们将合并代码并感谢您的贡献！  

---

#### **联系我们**  
如果在贡献过程中遇到任何问题，欢迎通过 GitHub Issues 与我们联系！  

---